<xml> </xml>

btb-class |

# DictionaryBase`2.Item Property

Gets or sets the element with the specified key.

public abstract TValue this[
TKey key
] { public get; public set; }

#### Parameters

key
  The key of the element to get or set.

#### Implements

IDictionary<TKey, TValue>.Item

#### Exceptions

Exception Type | Condition
--- | ---
ArgumentNullException | key is null.
KeyNotFoundException | The property is retrieved and key is not found.
NotSupportedException | The property is set and the IDictionary`2 is read-only.

#### See Also

DictionaryBase<TKey, TValue> Class | ComponentOwl.BetterThumbnailBrowser Namespace